# Retrieve topic

> GET /topics/:id — retrieve a single topic.

`GET /topics/:id`

**Path parameters**

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `topic_id` | string | Yes | The topic ID. |

**Node.js**

```js
import { SendPing } from 'sendping';

const mb = new SendPing('mb_xxxxxxxxx');

const { data, error } = await mb.topics.get('topic_9a2f...');
console.log({ data, error });
```

**Ruby**

```ruby
require "sendping"

SendPing.api_key = "mb_xxxxxxxxx"

SendPing::Topics.get("topic_9a2f...")
```

**PHP**

```php
<?php
require 'vendor/autoload.php';

use SendPing\SendPing;

$sendping = SendPing::client('mb_xxxxxxxxx');

$sendping->topics->get('topic_9a2f...');
```

**Python**

```python
import sendping

sendping.api_key = "mb_xxxxxxxxx"

sendping.Topics.get("topic_9a2f...")
```

**Go**

```go
import "github.com/shekhu10/sendping-sdks/sendping-go"

client := sendping.NewClient("mb_xxxxxxxxx")

topic, err := client.Topics.Get("topic_9a2f...")
```

**Rust**

```rust
use sendping::SendPing;

let mb = SendPing::new("mb_xxxxxxxxx");

let _topic = mb.topics.get("topic_9a2f...").await?;
```

**Java**

```java
import co.sendping.SendPing;
import co.sendping.SendPingResponse;

SendPing sendping = new SendPing("mb_xxxxxxxxx");

SendPingResponse response = sendping.topics().get("topic_9a2f...");
```

**.NET**

```csharp
using SendPing;

ISendPing sendping = SendPingClient.Create("mb_xxxxxxxxx");

var resp = await sendping.TopicRetrieveAsync("topic_9a2f...");
```

**cURL**

```bash
curl -X GET 'https://www.sendping.co/api/topics/topic_9a2f...' \
  -H 'Authorization: Bearer mb_xxxxxxxxx'
```

**CLI**

```bash
sendping topics get topic_9a2f...
```

### Response

```json
{
  "object": "topic",
  "id": "topic_9a2f...",
  "audience_id": "78261eea-8f8b-4381-83c6-79fa7120f1cf",
  "name": "Product updates",
  "description": "Subscribe for product news",
  "default_subscription": "opt_in",
  "visibility": "public",
  "created_at": "2026-06-25T10:00:00.000Z"
}
```
